SystemOrganization addCategory: #'Equipement-TIT'!

Object subclass: #AnalogInput
	instanceVariableNames: 'pointValue label'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInput methodsFor: 'accessing' stamp: 'Guillaume 4/27/2012 17:22'!
label
	^label.! !

!AnalogInput methodsFor: 'accessing' stamp: 'Guillaume 4/27/2012 17:21'!
label: aByteString 
	label := aByteString! !

!AnalogInput methodsFor: 'accessing' stamp: 'Guillaume 4/27/2012 17:00'!
pointValue
	^ 32767 min: (0max: (pointValue ifNil: [^0]))! !

!AnalogInput methodsFor: 'accessing' stamp: 'Guillaume 4/27/2012 16:06'!
pointValue: aSmallInteger 
	pointValue := aSmallInteger! !

Object subclass: #DigitalInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!DigitalInput methodsFor: 'accessing' stamp: 'Guillaume 5/25/2012 09:25'!
label: aByteString ! !

!DigitalInput methodsFor: 'accessing' stamp: 'Guillaume 5/25/2012 09:26'!
stateOff
! !

!DigitalInput methodsFor: 'accessing' stamp: 'Guillaume 5/25/2012 09:36'!
stateOn
! !

Object subclass: #RFGenerator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!RFGenerator methodsFor: 'accessing' stamp: 'Guillaume 5/25/2012 09:25'!
inputPwrOn: aDigitalInput 
! !

!RFGenerator methodsFor: 'accessing' stamp: 'Guillaume 5/25/2012 09:26'!
inputrfOn: aDigitalInput 
! !

!RFGenerator methodsFor: 'accessing' stamp: 'Guillaume 5/25/2012 09:28'!
isRunning
	^ false! !

TestCase subclass: #AnalogInputTest
	instanceVariableNames: 'power'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

AnalogInputTest class
	instanceVariableNames: 'testPointValueShouldBeO power'!

AnalogInputTest class
	instanceVariableNames: 'testPointValueShouldBeO power'!

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 4/27/2012 16:04'!
testPointValue15000ShouldBe15000

power := AnalogInput new.
power pointValue: 15000.
self assert: 15000 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 4/27/2012 17:03'!
testPointValueMaxShouldBe32767

power := AnalogInput new.
power pointValue: 40000.
self assert: 32767 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 4/27/2012 17:01'!
testPointValueMinus1ShouldBe0

power := AnalogInput new.
power pointValue: -1.
self assert: 0 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 4/27/2012 16:08'!
testPointValueShouldBeO

power := AnalogInput new.
power label: 'QPW1'.
self assert: 0 = power pointValue.
! !

TestCase subclass: #RFGeneratorTest
	instanceVariableNames: 'pwrOn rfOn myGenerator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 5/25/2012 09:24'!
setUp
pwrOn := DigitalInput new.
pwrOn label: 'PWRON'.

rfOn := DigitalInput new.
rfOn label:'RFON'.

myGenerator := RFGenerator new.
myGenerator
	inputPwrOn: pwrOn;
	inputrfOn: rfOn.

pwrOn stateOff.
rfOn stateOff.! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 5/25/2012 09:31'!
testcas1
pwrOn stateOff.
rfOn stateOff.
self deny: myGenerator isRunning.! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 5/25/2012 09:35'!
testcas2
pwrOn stateOn.
rfOn stateOff.
self deny: myGenerator isRunning.  "Retourne false".! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 5/25/2012 09:35'!
testcas3
pwrOn stateOff.
rfOn stateOn.
self deny: myGenerator isRunning.  "Retourne false".! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 5/25/2012 09:35'!
testcas4
pwrOn stateOn.
rfOn stateOn.
self assert: myGenerator isRunning.  "Retourne true".
! !
